{
  config,
  lib,
  pkgs,
  ...
}:

let
  inherit (lib)
    mkIf
    mkOption
    ;
  cfg = config.modules.system.desktop.hyprland;
in
{
  options.modules.system.desktop.hyprland = {
    enable = mkOption {
      default = false;
      example = true;
    };
  };

  config = mkIf cfg.enable {
    programs.hyprland = {
      enable = true;
      # withUWSM = true;
    };

    # programs.uwsm.enable = true;

    networking.networkmanager.enable = true;

    user.packages = with pkgs.unstable; [
      anyrun
      clipse
      dunst
      hyprpaper
      kitty
      mpv
      waybar
      wl-clipboard
    ];

    environment.systemPackages = with pkgs; [
      adw-gtk3
    ];

    home.services.gpg-agent.pinentryPackage = pkgs.pinentry-gnome3;
  };
}
